@font-face {
    font-display: swap;
    font-family: 'lyrics';
    src: "{{ asset('fonts/DroidSansMono.ttf') }}";
}

@font-face {
    font-family: 'Luckiest Guy';
    font-style: normal;
    font-weight: 400;
    font-display: swap;
    src: url(https://fonts.gstatic.com/s/luckiestguy/v22/_gP_1RrxsjcxVyin9l9n_j2hTd52.woff2) format('woff2');
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

.navbar {
    z-index: 200;
}

.luckiest-guy-font {
    font-family: 'Luckiest Guy', serif;
}

.logo-image-mini {
    width: 40px;
    position: relative;
    top: -2px;
}

.header-title-container {
    position: absolute;
    left: 50%;
    transform: translate(-50%, 0);
    width: 142px;
}

.header-title {
    width: 100%;
}

.bg-white-opacity {
    background: rgba(255, 255, 255, 0.1);
}

.main-container-game {
    /* overflow: hidden; */
}

.text-purple {
    color: #86377b;
}

.text-purple-shadow {
    text-shadow: 2px 0 0 #86377b, -2px 0 0 #86377b, 0 2px 0 #86377b, 0 -2px 0 #86377b, 1px 1px #86377b, -1px -1px 0 #86377b, 1px -1px 0 #86377b, -1px 1px 0 #86377b;
    text-shadow: 2px 0 0 #86377b, -2px 0 0 #86377b, 0 2px 0 #86377b, 0 -2px 0 #86377b, 1px 1px #86377b, -1px -1px 0 #86377b, 1px -1px 0 #86377b, -1px 1px 0 #86377b;
}

.text-purple-shadow-hover:hover {
    text-shadow: 2px 0 0 #86377b, -2px 0 0 #86377b, 0 2px 0 #86377b, 0 -2px 0 #86377b, 1px 1px #86377b, -1px -1px 0 #86377b, 1px -1px 0 #86377b, -1px 1px 0 #86377b;
    text-shadow: 2px 0 0 #86377b, -2px 0 0 #86377b, 0 2px 0 #86377b, 0 -2px 0 #86377b, 1px 1px #86377b, -1px -1px 0 #86377b, 1px -1px 0 #86377b, -1px 1px 0 #86377b;
}

.container-opacity {
    background-color: rgba(255, 255, 255, 0.13);
    backdrop-filter: blur(10px);
    border: 2px solid rgba(255, 255, 255, 0.1);
    box-shadow: 0 0 40px rgba(8, 7, 16, 0.6);
    border-radius: 10px;
    padding: 0 35px;
    /* z-index: 2; */
}

.typing-headers {
    position: fixed;
    bottom: 0;
    left: 0;
    margin: 0 10px;
    opacity: 0.2;
}

.typing-headers h1, .typing-headers h2 {
    font-size: 15px;
}

.shake-element {
    animation: shake 0.5s;
    animation-iteration-count: infinite;
}

.hidden-opacity {
    opacity: 0;
}


.explosion-text {
    font-weight: bold;
    color: #32CD32;
    position: relative;
    display: inline-block;
    animation: explode 1.5s cubic-bezier(0.68, -0.55, 0.27, 1.55) forwards;
}

.falling-text {
    font-weight: bold;
    color: red;
    position: relative;
    display: inline-block;
    animation: fall 1.5s cubic-bezier(0.68, -0.55, 0.27, 1.55) forwards;
}

@keyframes fall {
    0% {
        transform: translateY(0);
    }
    60% {
        transform: translateY(100px);
    }
    80% {
        transform: translateY(80px);
    }
    100% {
        transform: translateY(100px);
    }
}

@keyframes explode {
    0% {
        transform: scale(1);
        opacity: 1;
        color: #32CD32;
        text-shadow: 0 0 15px #FFFFFF, 0 0 25px #000000, 0 0 35px #FFFFFF, 0 0 45px #000000;
    }
    20% {
        transform: scale(1.3) rotate(10deg);
        opacity: 0.9;
        color: #32CD32;
        text-shadow: 0 0 20px #000000, 0 0 30px #FFFFFF, 0 0 40px #000000, 0 0 50px #FFFFFF;
    }
    40% {
        transform: scale(0.8) rotate(-15deg);
        opacity: 0.7;
        color: #32CD32;
        text-shadow: 0 0 30px #FFFFFF, 0 0 50px #000000, 0 0 70px #FFFFFF, 0 0 90px #000000;
    }
    60% {
        transform: scale(1.7) rotate(25deg);
        opacity: 0.5;
        color: #32CD32;
        text-shadow: 0 0 50px #000000, 0 0 70px #FFFFFF, 0 0 90px #000000, 0 0 120px #FFFFFF;
    }
    80% {
        transform: scale(0.5) rotate(-40deg) translateY(-20px);
        opacity: 0.3;
        color: #32CD32;
        text-shadow: 0 0 70px #FFFFFF, 0 0 90px #000000, 0 0 110px #FFFFFF, 0 0 150px #000000;
    }
    100% {
        transform: scale(4) rotate(720deg) translateY(-80px);
        opacity: 0;
        color: transparent;
        text-shadow: 0 0 150px #FFFFFF, 0 0 180px #000000, 0 0 200px #FFFFFF, 0 0 250px #000000;
    }
}

@keyframes shake {
    0% {
        transform: translate(1px, 1px) rotate(0deg);
    }
    10% {
        transform: translate(-1px, -2px) rotate(-1deg);
    }
    20% {
        transform: translate(-3px, 0px) rotate(1deg);
    }
    30% {
        transform: translate(3px, 2px) rotate(0deg);
    }
    40% {
        transform: translate(1px, -1px) rotate(1deg);
    }
    50% {
        transform: translate(-1px, 2px) rotate(-1deg);
    }
    60% {
        transform: translate(-3px, 1px) rotate(0deg);
    }
    70% {
        transform: translate(3px, 1px) rotate(-1deg);
    }
    80% {
        transform: translate(-1px, -1px) rotate(1deg);
    }
    90% {
        transform: translate(1px, 2px) rotate(0deg);
    }
    100% {
        transform: translate(1px, -2px) rotate(-1deg);
    }
}

::-webkit-scrollbar {
    width: 0.5em;
}

::-webkit-scrollbar-track {
    box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
}

::-webkit-scrollbar-thumb {
    background: linear-gradient(45deg, #27273C, purple);
}

.chracters-danger-space {
    border-bottom: 3px solid red;
    font-weight: bold;
    position: relative;
    top: -3px;
    left: -2px;
}

i {
    opacity: 0.2;
}

/* SWITCH CSS */

/* Switch 3 Specific Style Start */

.toggle_switch {
    width: 50px;
    position: relative;
}

.progress-bar-test-mode {
    height: 220px;
}

.progress-bar-test-mode .wpm-spin {
    position: relative;
    top: -150px;
}

.wpm-modal-container {
    height: 220px;
}

.wpm-modal-container .wpm-spin {
    position: relative;
    top: -150px;
    margin: auto;
}

.display-onload {
    opacity: 0;
}

input[type="checkbox"].switch_3 {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    cursor: pointer;
    outline: 0;
    z-index: 1;
}

svg.checkbox .outer-ring {
    stroke-dasharray: 375;
    stroke-dashoffset: 375;
    -webkit-animation: resetRing .35s ease-in-out forwards;
    animation: resetRing .35s ease-in-out forwards;
}

input[type="checkbox"].switch_3:checked + svg.checkbox .outer-ring {
    /*-webkit-animation: animateRing .35s ease-in-out forwards;*/
    /*        animation: animateRing .35s ease-in-out forwards;*/
}

input[type="checkbox"].switch_3:checked + svg.checkbox .is_checked {
    opacity: 1;
    -webkit-transform: translateX(0) rotate(0deg);
    transform: translateX(0) rotate(0deg);
}

input[type="checkbox"].switch_3:checked + svg.checkbox .is_unchecked {
    opacity: 0;
    -webkit-transform: translateX(-200%) rotate(180deg);
    transform: translateX(-200%) rotate(180deg);
}


svg.checkbox {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

svg.checkbox .is_checked {
    opacity: 0;
    fill: #ff0052;
    -webkit-transform-origin: 50% 50%;
    transform-origin: 50% 50%;
    -webkit-transform: translateX(200%) rotate(45deg);
    transform: translateX(200%) rotate(45deg);
    -webkit-transition: all .35s;
    transition: all .35s;
}

svg.checkbox .is_unchecked {
    opacity: 1;
    fill: #000;
    -webkit-transform-origin: 50% 50%;
    transform-origin: 50% 50%;
    -webkit-transform: translateX(0) rotate(0deg);
    transform: translateX(0) rotate(0deg);
    -webkit-transition: all .35s;
    transition: all .35s;
}

@-webkit-keyframes animateRing {
    to {
        stroke-dashoffset: 0;
        stroke: #b0aa28;
    }
}

@keyframes animateRing {
    to {
        stroke-dashoffset: 0;
        stroke: #b0aa28;
    }
}

@-webkit-keyframes resetRing {
    to {
        stroke-dashoffset: 0;
        stroke: #233043;
    }
}

@keyframes resetRing {
    to {
        stroke-dashoffset: 0;
        stroke: #233043;
    }
}

/* Switch 3 Specific Style End */

/* Checked State */
.input_wrapper input[type="checkbox"]:checked {
    background: #23da87;
}

.input_wrapper input[type="checkbox"]:checked:after {
    left: calc(100% - 37px);
}

.input_wrapper input[type="checkbox"]:checked + .is_checked {
    -webkit-transform: translateX(0) translateY(-30%) scale(1);
    transform: translateX(0) translateY(-30%) scale(1);
}

.input_wrapper input[type="checkbox"]:checked ~ .is_unchecked {
    -webkit-transform: translateX(-190%) translateY(-30%) scale(0);
    transform: translateX(-190%) translateY(-30%) scale(0);
}

/* SWITCH CSS */

/* refresh btn */
@keyframes rotate {

    from {
        transform: rotate(0deg)
    }

    to {
        transform: rotate(360deg)
    }

}


.refresh-start:hover {

    animation-name: rotate;
    animation-duration: 1s;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
    animation-play-state: running;

}

.refresh-start {
    cursor: pointer;
}

/* refresh btn */

.text-neon {
    text-shadow: 0 0 7px #fff,
    0 0 10px #fff,
    0 0 21px #fff,
    0 0 42px #0fa,
    0 0 82px #0fa,
    0 0 92px #0fa,
    0 0 102px #0fa,
    0 0 151px #0fa;
}

.text-neon-hover:hover {
    text-shadow: 0 0 7px #fff,
    0 0 10px #fff,
    0 0 21px #fff,
    0 0 42px #0fa,
    0 0 82px #0fa,
    0 0 92px #0fa,
    0 0 102px #0fa,
    0 0 151px #0fa;
}

.keyboard-message {
    opacity: 0;
}

.m-auto {
    margin: auto !important;
}

.active-star {
    background: #fff4d7;
    background: -webkit-radial-gradient(top left, #ff0052, #ac2f2f, #ff0052);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.unactive-star {
    color: #fff;
}

.glass-level {
    font-weight: bold;
    padding-top: 20px;
    text-shadow: 2px 0 0 #000, -2px 0 0 #000, 0 2px 0 #000, 0 -2px 0 #000, 1px 1px #000, -1px -1px 0 #000, 1px -1px 0 #000, -1px 1px 0 #000;
    background-size: 100%;
    width: 60px;
    height: 60px;
}

.glass-level:not(.user-details-level) {
    top: -10px;
    right: -10px;
    opacity: 0;
}

.achievement-table {
    table-layout: fixed;
    text-align: center;
}

.achievement-table td {
    vertical-align: middle;
}

.opacity-5 {
    opacity: 0.5;
}

.site-color-red {
    color: #ff0052;
}

.swiper-slide-no-slide {
    flex-shrink: 0;
    width: 100%;
    height: 100%;
    position: relative;
    -webkit-transition-property: -webkit-transform;
    transition-property: -webkit-transform;
    -o-transition-property: transform;
    transition-property: transform;
    transition-property: transform, -webkit-transform;
}

.scroll-y {
    overflow-y: scroll;
    scroll-behavior: smooth;
    white-space: nowrap;
}

.buttons-nav-game {
    top: 0;
    left: 0;
    color: #fff;
    font-size: 30px;
    z-index: 102;
}

.buttons-nav-game i {
    cursor: pointer;
}

.buttons-nav-game i:hover {
    transform: scale(1.1);
}

.buttons-nav-game a {
    color: #fff;
}

.buttons-nav-game a:hover {
    color: #fff;
}

#refresh-btn:hover {
    color: rgba(252, 208, 0, 0.8);
}

.chart-container .chart-inner{
    border: 10px solid #232a5c;
    background: #00000080;
}

.lyrics-input {
    padding: 13px 15px;
    background: #232a5c;
    color: #fff;
}

.google-login-btn {
    height: 64px;
    width: 300px;
}
.google-login-btn img{
    height: 44px;
}
